Subject: Re: [RFC][PATCH 2/9] deadlock prevention core

From: Rik van Riel <[email-masked]>
Date: Sat, 19 Aug 2006 11:06:10 -0400

Andrew Morton wrote:

> - We expect that the lots-of-dirty-anon-memory-over-swap-over-network
>   scenario might still cause deadlocks.  
> 
>   I assert that this can be solved by putting swap on local disks.  Peter
>   asserts that this isn't acceptable due to disk unreliability.  I point
>   out that local disk reliability can be increased via MD, all goes quiet.
> 
>   A good exposition which helps us to understand whether and why a
>   significant proportion of the target user base still wishes to do
>   swap-over-network would be useful.

You cannot put disks in many models of blade servers.

At all.

-- 
What is important?  What you want to be true, or what is true?